{
    "!name": "pascal",

    "DayOf": {
        "!type": "fn() -> ",
        "!doc" : "function DayOf(dt: double): integer; Отримати значення дня зі змінної дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatedayof.html"
    },
    "DayOfTheWeek": {
        "!type": "fn() -> ",
        "!doc" : "function DayOfTheWeek(dt: double): integer; Отримати номер дня тижня за вказаною датою.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatedayoftheweek.html"
    },
    "DaysBetween": {
        "!type": "fn() -> ",
        "!doc" : "function DaysBetween(dNow, dThen: double): integer; Вказати, скільки повних днів між двома датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimedaysbetween.html"
    },
    "DecodeDate": {
        "!type": "fn() -> ",
        "!doc" : "procedure DecodeDate(dt: double; var wYear, wMonth, wDay: word); Повертає значення року, місяця та дня із значення змінної дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatedecodedate.html"
    },
    "DecodeDateTime": {
        "!type": "fn() -> ",
        "!doc" : "procedure DecodeDateTime(dt: double; var wYear, wMonth, wDay, wHour, wMinute, wSecond, wMilliSec: word); Повертає значення року, місяця, дня, годин, хвилин, секунд та мілісекунд із значення змінної дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatedecodedatetime.html"
    },
    "EncodeDate": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeDate(wYear, wMonth, wDay: word): double; Отримання змінної типу дата/час із переданих значень року, місяця та дня.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateencodedate.html"
    },
    "EncodeDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeDateTime(wYear, wMonth, wDay, wHour, wMinute, wSecond, wMilliSec: word): double; Отримання змінної типу дата/час із переданих значень року, місяця, дня, годин, хвилин, секунд та мілісекунд",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateencodedatetime.html"
    },
    "EndOfTheDay": {
        "!type": "fn() -> ",
        "!doc" : "function EndOfTheDay(dt: double): double; Отримати значення дати та часу кінця доби вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateendoftheday.html"
    },
    "FormatDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function FormatDateTime(sFormat: string; dt: double): string; Перетворення дати та часу в форматований текстовий рядок.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimeformatdat766.html"
    },
    "HourOf": {
        "!type": "fn() -> ",
        "!doc" : "function HourOf(dt: double): integer; Отримати значення дня зі змінної дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatehourof.html"
    },
    "HoursBetween": {
        "!type": "fn() -> ",
        "!doc" : "function HoursBetween(dNow, dThen: double): integer; Дізнатися, скільки повних годин між двома датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimehoursbetw768.html"
    },
    "IncDay": {
        "!type": "fn() -> ",
        "!doc" : "function IncDay(dt: double; iDays: int64): double; Додати чи відняти потрібну кількість днів до вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincday.html"
    },
    "IncHour": {
        "!type": "fn() -> ",
        "!doc" : "function IncHour(dt: double; iHours: int64): double; Додати чи відняти потрібну кількість годин до вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateinchour.html"
    },
    "IncMilliSecond": {
        "!type": "fn() -> ",
        "!doc" : "function IncMilliSecond(dt: double; iMilliSeconds: int64): double; Додати чи відняти потрібну кількість мілісекунд до вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincmillisecond.html"
    },
    "IncMinute": {
        "!type": "fn() -> ",
        "!doc" : "function IncMinute(dt: double; iMinutes: int64): double; Додати чи відняти потрібну кількість хвилин до вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincminute.html"
    },
    "IncMonth": {
        "!type": "fn() -> ",
        "!doc" : "function IncMonth(dt: double; iMonths: int64): double; Додати чи відняти потрібну кількість місяців до вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincmonth.html"
    },
    "IncSecond": {
        "!type": "fn() -> ",
        "!doc" : "function IncSecond(dt: double; iSeconds: int64): double; Додати чи відняти потрібну кількість секунд до вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincsecond.html"
    },
    "IncWeek": {
        "!type": "fn() -> ",
        "!doc" : "function IncWeek(dt: double; iWeeks: int64): double; Додати чи відняти потрібну кількість тижнів до вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincweek.html"
    },
    "IncYear": {
        "!type": "fn() -> ",
        "!doc" : "function IncYear(dt: double; iYears: int64): double; Додати чи відняти потрібну кількість років до вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincyear.html"
    },
    "MilliSecondsBetween": {
        "!type": "fn() -> ",
        "!doc" : "function MilliSecondsBetween(dNow, dThen: double): integer; Дізнатися, скільки мілісекунд між двома датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimemillisecondsbetween.html"
    },
    "MinuteOf": {
        "!type": "fn() -> ",
        "!doc" : "function MinuteOf(dt: double): integer; Отримати значення хвилин поточної години зі змінної дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateminuteof.html"
    },
    "MonthOf": {
        "!type": "fn() -> ",
        "!doc" : "function MonthOf(dt: double): integer; Отримати значення місяця зі змінної дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatemonthof.html"
    },
    "MonthsBetween": {
        "!type": "fn() -> ",
        "!doc" : "function MonthsBetween(dNow, dThen: double): integer; Дізнатися, скільки повних місяців між двома датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimemonthsbetween.html"
    },
    "Now": {
        "!type": "fn() -> ",
        "!doc" : "function Now: double; Отримати поточне значення дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimenow.html"
    },
    "SecondOf": {
        "!type": "fn() -> ",
        "!doc" : "function SecondOf(dt: double): integer; Отримати значення секунд поточної хвилини зі змінної дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatesecondof.html"
    },
    "SecondsBetween": {
        "!type": "fn() -> ",
        "!doc" : "function SecondsBetween(dNow, dThen: double): integer; Дізнатися, скільки повних секунд між двома датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimesecondsbetween.html"
    },
    "StartOfTheDay": {
        "!type": "fn() -> ",
        "!doc" : "function StartOfTheDay(dt: double): double; Отримання дати та часу початку доби вказаної дати.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatestartoftheday.html"
    },
    "WeekOf": {
        "!type": "fn() -> ",
        "!doc" : "function WeekOf(dt: double): integer; Отримати значення тижня зі змінної дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateweekof.html"
    },
    "WeeksBetween": {
        "!type": "fn() -> ",
        "!doc" : "function WeeksBetween(dNow, dThen: double): integer; Скільки тижнів між двома вказаними датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimeweeksbetween.html"
    },
    "YearOf": {
        "!type": "fn() -> ",
        "!doc" : "function YearOf(dt: double): integer; Отримати значення року зі змінної дати та часу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateyearof.html"
    },
    "YearsBetween": {
        "!type": "fn() -> ",
        "!doc" : "function YearsBetween(dNow, dThen: double): integer; Скільки років між двома вказаними датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimeyearsbetween.html"
    },
    "mGetConfNameByUID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfNameByUID(iUID: integer): string; Отримати текстове ім'я конференції за її числовим ідентифікатором (UID).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconfnamebyuid.html"
    },
    "mIsUserIncludedToAutoConf": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUserIncludedToAutoConf(iUIN, iUID: integer): boolean; З'ясувати, чи входить користувач до списку людей, які автоматично входять в автостворювану конференцію.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmisuserincludedtoautoconf.html"
    },
    "Abs": {
        "!type": "fn() -> ",
        "!doc" : "function Abs(x: extended): extended; Отримати модуль від числа (цілого чи дійсного).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathabs.html"
    },
    "Cos": {
        "!type": "fn() -> ",
        "!doc" : "function Cos(x: extended): extended; Обчислити  значення косинуса числа в радіанах.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathcos.html"
    },
    "Exp": {
        "!type": "fn() -> ",
        "!doc" : "function Exp(x: extended): extended; Обчислити експоненту від числа.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathexp.html"
    },
    "Ln": {
        "!type": "fn() -> ",
        "!doc" : "function Ln(x: extended): extended; Функція для обчислення натурального логарифму.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathln.html"
    },
    "LogN": {
        "!type": "fn() -> ",
        "!doc" : "function LogN(Base, x: extended): extended; Функція обчислює логарифм аргументу x за основою Base.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathlogn.html"
    },
    "Pi": {
        "!type": "fn() -> ",
        "!doc" : "function Pi: extended; Отримати значення числа Пі.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathpi.html"
    },
    "Round": {
        "!type": "fn() -> ",
        "!doc" : "function Round(x: extended): integer; Округлення числа з рухомою комою.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathround.html"
    },
    "Sin": {
        "!type": "fn() -> ",
        "!doc" : "function Sin(x: extended): extended; Обчислення значення синуса числа в радіанах.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathsin.html"
    },
    "Trunc": {
        "!type": "fn() -> ",
        "!doc" : "function Trunc(x: extended): integer; Отримати цілу частину від числа з рухомою комою.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathtrunc.html"
    },
    "GetEnvValue": {
        "!type": "fn() -> ",
        "!doc" : "function GetEnvValue(sVariable: string): string; Отримати значення вказаної системної змінної середовища Windows (environment variable).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncosgetenvvalue.html"
    },
    "mLogScript": {
        "!type": "fn() -> ",
        "!doc" : "procedure mLogScript(sMsg, sTag: string); Виведення тексту в консоль редактора скриптів.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdebuglogscript.html"
    },
    "Protocol": {
        "!type": "fn() -> ",
        "!doc" : "function Protocol(sMsg, sFileName: string; bDateTimeStamp: boolean): integer; Зберегти повідомлення у текстовий файл логу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdebugprotocol.html"
    },
    "SetScriptTimeOut": {
        "!type": "fn() -> ",
        "!doc" : "procedure SetScriptTimeOut(iMaxTime: integer); Встановити максимальний час виконання скрипта, за умови перевищення якого система може його зупинити.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncsetscripttimeout.html"
    },
    "mGetMaxRegisteredUIN": {
        "!type": "fn() -> ",
        "!doc" : "function mGetMaxRegisteredUIN: integer; Максимальний унікальний ідентифікатор (UIN) останнього зареєстрованого на сервері користувача.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetmaxregistereduin.html"
    },
    "mGetUserAttribute": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserAttribute(iUIN: integer;sAttributeName: string): string; Функція для отримання будь-якого поля з профіля користувача за його атрибутом.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserattribute.html"
    },
    "mGetUserDataAsJSON": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserDataAsJSON(iUIN: integer; sParams: string): string; Отримання списку будь-яких полів користувача за його UIN у форматі JSON.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserdataasjson.html"
    },
    "mGetUserFullNameByPreset": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserFullNameByPreset(iUIN, iStyle: integer): string; Отримати текстове ім'я користувача чату згідно шаблону.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserfullnamebypreset.html"
    },
    "mGetUserPrimaryEmail": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserPrimaryEmail(iUIN: integer): string; Отримати основну адресу електронної пошти користувача за його UIN.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserprimaryemail.html"
    },
    "mGetUserState": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserState(iUIN: integer): integer; Визначити мережевий статус користувача за його UIN.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserstate.html"
    },
    "mIsUINExists": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUINExists(iUIN: integer): boolean; З'ясувати, чи зареєстровано на сервері користувача з таким ідентифікатором (UIN).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmisuinexists.html"
    },
    "mIsUINOnline": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUINOnline(iUIN: integer): boolean; З'ясувати, чи користувач з вказаним UIN у мережі.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmisuinonline.html"
    },
    "FloatToStr": {
        "!type": "fn() -> ",
        "!doc" : "function FloatToStr(iValue: extended): string; Перетворити число з рухомою комою в рядок.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionfloattostr.html"
    },
    "IntToStr": {
        "!type": "fn() -> ",
        "!doc" : "function IntToStr(iValue: integer): string; Перетворити ціле число в рядок.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversioninttostr.html"
    },
    "StrToFloat": {
        "!type": "fn() -> ",
        "!doc" : "function StrToFloat(sValue: string): extended; Перетворити рядок у число з рухомою комою.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtofloat.html"
    },
    "StrToInt": {
        "!type": "fn() -> ",
        "!doc" : "function StrToInt(sSt: string): integer; Перетворити текстовий рядок в ціле число зі знаком.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtoint.html"
    },
    "StrToIntDef": {
        "!type": "fn() -> ",
        "!doc" : "function StrToIntDef(st: string; iDefaultValue: integer): integer; Перетворити текстовий рядок в ціле число зі знаком, враховуючи стандартне значення",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtointdef.html"
    },
    "JSONGetBoolean": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetBoolean(sJSON, sKey: string; var bValue: boolean): integer; Отримати булеве значення ключа з JSON об'єкта.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetboolean.html"
    },
    "JSONGetDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetDateTime(sJSON, sKey: string; var dtvalue: double): integer; Отримати значення дати та часу ключа з JSON об'єкта.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetdatetime.html"
    },
    "JSONGetInteger": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetInteger(sJSON, sKey: string; var iValue: integer): integer; Отримати ціле знакове значення ключа з JSON об'єкта.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetinteger.html"
    },
    "JSONGetString": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetString(sJSON, sKey: string; var sValue: string): integer; Отримати значення рядка ключа з JSON об'єкта.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetstring.html"
    },
    "JSONSetBoolean": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetBoolean(var sJSON, sKey: string; bValue: boolean): integer; Створити чи змінити булеве значення ключа в JSON об'єкті.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetboolean.html"
    },
    "JSONSetDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetDateTime(var sJSON: string; sKey: string; dtvalue: double): integer; Встановити чи створити значення ключа дати та часу в JSON об'єкті.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetdatetime.html"
    },
    "JSONSetInteger": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetInteger(var sJSON: string; sKey: string; iValue: integer): integer; Створити чи змінити ціле знакове значення ключа в JSON об'єкті.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetinteger.html"
    },
    "JSONSetString": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetString(var sJSON: string; sKey: string; sValue: string): integer; Оновити чи створити текстовий ключ в JSON об'єкті.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetstring.html"
    },
    "RegGetInt": {
        "!type": "fn() -> ",
        "!doc" : "function RegGetInt(iRootKey: cardinal; sName: string; var iValue: cardinal): boolean; Прочитати з реєстру ціле число.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregistryreggetint.html"
    },
    "RegGetString": {
        "!type": "fn() -> ",
        "!doc" : "function RegGetString(iRootKey: cardinal; sName: string; var sValue: string): boolean; Прочитати з реєстру текстовий рядок.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregistryreggetstring.html"
    },
    "RegSetInt": {
        "!type": "fn() -> ",
        "!doc" : "function RegSetInt(iRootKey: cardinal; sName: string; iValue: cardinal): boolean; Зберегти в реєстр ціле число зі знаком.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregistryregsetint.html"
    },
    "RegSetString": {
        "!type": "fn() -> ",
        "!doc" : "function RegSetString(iRootKey: cardinal; sName: string; sValue: string): boolean; Зберегти в реєстр текстовий рядок.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregistryregsetstring.html"
    },
    "mHTTPSendPostMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mHTTPSendPostMessage(sURL, sBody, sHeaders: string): string; Функція для відправлення POST запитів у мережі. Підтримується HTTP/HTTPS.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncnetworkmhttpsendpostmessage.html"
    },
    "DeleteFile": {
        "!type": "fn() -> ",
        "!doc" : "function DeleteFile(sFileName:string): integer; Видалення файлу з диска.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesdeletefile.html"
    },
    "FileExists": {
        "!type": "fn() -> ",
        "!doc" : "function FileExists(sFileName: string): boolean; Функція для перевірки існування файлу за вказаним шляхом.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesfileexists.html"
    },
    "mAddAutoScriptFromString": {
        "!type": "fn() -> ",
        "!doc" : "procedure mAddAutoScriptFromString(sScriptName, sScriptSource: string; dtToRun: double); Створити time-скрипт з текстового рядка.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmaddautoscriptfromstring.html"
    },
    "mAddAutoScriptFromTemplate": {
        "!type": "fn() -> ",
        "!doc" : "procedure mAddAutoScriptFromTemplate(sScriptName, sTemplateName: string; dtToRun: double); Додавання скрипта з готового шаблону",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmaddautoscriptfromtemplate.html"
    },
    "mClearAutoScriptsQueue": {
        "!type": "fn() -> ",
        "!doc" : "procedure mClearAutoScriptsQueue; Очистити чергу для виконання запланованих time-скриптів.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmclearautoscriptsqueue.html"
    },
    "mDeleteAutoScriptByName": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteAutoScriptByName(sScriptName: string): integer; Видалити всі входження time-скриптів, які були додані для автоматичного виконання.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmdeleteautoscriptbyname.html"
    },
    "mGetAutoScriptsCountByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetAutoScriptsCountByName(sScriptName: string): integer; Визначити кількість time-скриптів із вказаним ім'ям, запланованих до виконання.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmgetautoscriptscountbyname.html"
    },
    "mGetAutoScriptsQueueCount": {
        "!type": "fn() -> ",
        "!doc" : "function mGetAutoScriptsQueueCount: integer; Отримати загальну кількість запланованих до виконання time-скриптів у черзі.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmgetautoscriptsqueuecount.html"
    },
    "Copy": {
        "!type": "fn() -> ",
        "!doc" : "function Copy(sSt: string; iFrom, iCount: integer): string; Скопіювати підрядок із вказаного рядка.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringscopy.html"
    },
    "Delete": {
        "!type": "fn() -> ",
        "!doc" : "procedure Delete(var sSt: string; iFrom, iCount: integer); Видалити підрядок з рядка.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsdelete.html"
    },
    "Fetch": {
        "!type": "fn() -> ",
        "!doc" : "function Fetch(var sOriginal:string; sDelimiter: string): string; Вирізати підрядок із вказаного рядка до першого сепаратора.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsfetch.html"
    },
    "Insert": {
        "!type": "fn() -> ",
        "!doc" : "procedure Insert(var sOriginal: string; sWhatInsert: string; iFrom: integer); Вставити підрядок в рядок на вказану позицію.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsinsert.html"
    },
    "IsStNumbers": {
        "!type": "fn() -> ",
        "!doc" : "function IsStNumbers(st: string): boolean; З'ясувати, чи містить текстовий рядок виключно цифри та більше ніяких символів.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsisstnumbers.html"
    },
    "IsStringInList": {
        "!type": "fn() -> ",
        "!doc" : "function IsStringInList(sWhat, sStringList, sDelimiter: string; bIgnoreCase: boolean): boolean; Пошук підрядка в рядку-списку, між елементами якого знаходиться якийсь сепаратор.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsisstringinlist.html"
    },
    "Length": {
        "!type": "fn() -> ",
        "!doc" : "function Length(sSt: string): integer; Отримати кількість символів текстового рядка.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringslength.html"
    },
    "LowerCase": {
        "!type": "fn() -> ",
        "!doc" : "function LowerCase(sSt: string): string; Перетворити усі символи рядка в нижній регістр.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringslowercase.html"
    },
    "Pos": {
        "!type": "fn() -> ",
        "!doc" : "function Pos(sSubSt, sSt: string): integer; Пошук підрядка в рядку. Регістро-залежний.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringspos.html"
    },
    "ReplaceString": {
        "!type": "fn() -> ",
        "!doc" : "function ReplaceString(sOriginal, sFrom, sTo:string; bReplaceAll, bIgnoreCase: boolean): string; Функція для заміни входжень підрядка в оригінальному рядку.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsreplacestring.html"
    },
    "Trim": {
        "!type": "fn() -> ",
        "!doc" : "function Trim(st: string): string; Видалити пробіли на початку та в кінці рядка.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringstrim.html"
    },
    "UpperCase": {
        "!type": "fn() -> ",
        "!doc" : "function UpperCase(sSt: string): string; Перетворити усі символи рядка у ВЕЛИКІ БУКВИ верхнього регістру.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsuppercase.html"
    },
    "CRLF": {
        "!type": "fn() -> ",
        "!doc" : "function CRLF: string; Символи перенесення на новий рядок.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicecrlf.html"
    },
    "Dec": {
        "!type": "fn() -> ",
        "!doc" : "procedure Dec(var x); Зменшити значення змінної на одиницю.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicedec.html"
    },
    "High": {
        "!type": "fn() -> ",
        "!doc" : "function High(var x): integer; Отримати максимальне значення змінної вказаного типу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicehigh.html"
    },
    "Inc": {
        "!type": "fn() -> ",
        "!doc" : "procedure Inc(var x); Збільшити значення змінної на одиницю.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncserviceinc.html"
    },
    "Low": {
        "!type": "fn() -> ",
        "!doc" : "function Low(var x): integer; Отримати максимальне значення змінної-параметра.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicelow.html"
    },
    "Max": {
        "!type": "fn() -> ",
        "!doc" : "function Max(iValue1, iValue2: integer): integer; Отримати більше з двох чисел.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicemax.html"
    },
    "Min": {
        "!type": "fn() -> ",
        "!doc" : "function Min(iValue1, iValue2: integer): integer; Отримати менше з двох цілих чисел.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicemin.html"
    },
    "Random": {
        "!type": "fn() -> ",
        "!doc" : "function Random(x: integer): integer; Отримати випадкове число з діапазону.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicerandom.html"
    },
    "RegExpIsMatch": {
        "!type": "fn() -> ",
        "!doc" : "function RegExpIsMatch(sInpString, sRegExp: string): boolean; Перевірка, чи відповідає рядок вказаному регулярному виразу (regular expression).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregexpregexpismatch.html"
    },
    "mConvertMsgToPlainText": {
        "!type": "fn() -> ",
        "!doc" : "function mConvertMsgToPlainText(sMsg: string; iMsgType: integer): string; Перетворити текст повідомлення в plain text, без тегів та спеціальних символів.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmconvertmsgtoplaintext.html"
    },
    "mSendCustomMsgToClientConsoleByCID": {
        "!type": "fn() -> ",
        "!doc" : "function mSendCustomMsgToClientConsoleByCID(iCID: integer; sMsg, sSound: string; bFocus, bSaveToLog: boolean; iType: integer): integer; Функція для відправлення спеціального повідомлення в консоль MyChat Client.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmsendcustommsgtoclientconsolebycid.html"
    },
    "mSendPrivateMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mSendPrivateMessage(iUINFrom, iUINTo: integer; sMsg: string; iMsgType: integer): integer; Відправити приватне повідомлення від імені одного користувача — іншому.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmsendprivatemessage.html"
    },
    "mSendPrivateTechMessage": {
        "!type": "fn() -> ",
        "!doc" : "procedure mSendPrivateTechMessage(iUIN1, iUIN2: integer; sMsg: string; iType: integer); Технічне повідомлення в приват від імені сервера.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmsendprivatetechmessage.html"
    },
    "mDeleteUserFromCommonContacts": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteUserFromCommonContacts(iUIN: integer): boolean; Видалити користувача із загального списку контактів.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmdeleteuserfromcommoncontacts.html"
    },
    "mGetDepartmentIDByTextPath": {
        "!type": "fn() -> ",
        "!doc" : "function mGetDepartmentIDByTextPath(sPath: string): integer; Отримати номер ідентифікатора групи із загального списку контактів сервера за його повним текстовим шляхом.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmgetdepartmentidbytextpath.html"
    },
    "mGetDepartmentTextPathByID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetDepartmentTextPathByID(iID: integer): string; Отримати повний текстовий шлях до вказаної групи (департаменту) із загального деревовидного списку контактів від кореня, за його числовим ідентифікатором.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmgetdepartmenttextpathbyid.html"
    },
    "mGetUserDepartmentID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserDepartmentID(iUIN: integer): integer; Функція для отримання числового ідентифікатора групи в загальному деревовидному списку контактів, у якій знаходиться користувач (за його UIN).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmgetuserdepartmentid.html"
    },
    "mGetUserDepartmentName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserDepartmentName(iUIN: integer): string; Отримати назву департаменту користувача із загального списку контактів за ідентифікатором користувача (UIN).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmgetuserdepartmentname.html"
    },
    "AddLineToFile": {
        "!type": "fn() -> ",
        "!doc" : "function AddLineToFile(sMsg, sFileName: string; iEncodingType: integer): int64; Додати повідомлення в кінець текстового файлу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilesaddlinetofile.html"
    },
    "LoadTextFromFile": {
        "!type": "fn() -> ",
        "!doc" : "function LoadTextFromFile(sFileName: string; iEncodingType: integer): string; Завантажити вміст текстового файлу в змінну типу string із вказаним кодуванням файлу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilesloadtextfromfile.html"
    },
    "mGetRoleNameByID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetRoleNameByID(iRoleID: integer): string; Отримати назву групи прав користувачів за її числовим ID.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmgetrolenamebyid.html"
    },
    "mGetUserRoleID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserRoleID(iUIN: integer): integer; Отримати ідентифікатор групи прав користувача за його UIN.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmgetuserroleid.html"
    },
    "mGetUserRoleName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserRoleName(iUIN: integer): string; Отримати назву групи прав користувача за його UIN.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmgetuserrolename.html"
    },
    "SendEmail": {
        "!type": "fn() -> ",
        "!doc" : "procedure SendEmail(sHost: string; iPort: integer; sUserName, sPass, sFullEmail: string; bSSL: boolean; sToList, sSubject: string; sMessageText: string; iMsgStyle: integer; sAttachedFiles: string); Функція для відправлення листа на електронну пошту.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncemailsendemail.html"
    },
    "mGetServerServiceFolder": {
        "!type": "fn() -> ",
        "!doc" : "function mGetServerServiceFolder(iType: integer): string; Функція для отримання шляхів до різних сервісних папок сервера MyChat.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremgetserverservicefolder.html"
    },
    "mSendEmail": {
        "!type": "fn() -> ",
        "!doc" : "procedure mSendEmail(sToList, sSubject, sMessageText: string; iMsgStyle: integer; sAttachedFiles: string); Процедура для відправки email, використовуючи SMTP налаштування сервера MyChat.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncemailmsendemail.html"
    },
    "mIsUserTeamLead": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUserTeamLead(iUIN: integer): boolean; З'ясувати, чи є користувач керівником підрозділу?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmisuserteamlead.html"
    },
    "StartOfTheYear": {
        "!type": "fn() -> ",
        "!doc" : "function StartOfTheYear(dt: double): double; Отримати початок року для вказаної дати",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatestartoftheyear.html"
    },
    "EndOfTheYear": {
        "!type": "fn() -> ",
        "!doc" : "function EndOfTheYear(dt: double): double; Отримати кінець року для вказаної дати",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateendoftheyear.html"
    },
    "StartOfTheMonth": {
        "!type": "fn() -> ",
        "!doc" : "function StartOfTheMonth(dt: double): double; Отримати дату початку місяця від вказаної",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatestartofthemonth.html"
    },
    "EndOfTheMonth": {
        "!type": "fn() -> ",
        "!doc" : "function EndOfTheMonth(dt: double): double; Отримати дату кінця місяця від вказаної",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateendofthemonth.html"
    },
    "StartOfTheWeek": {
        "!type": "fn() -> ",
        "!doc" : "function StartOfTheWeek(dt: double): double; Отримати дату початку тижня від вказаної",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatestartoftheweek.html"
    },
    "EndOfTheWeek": {
        "!type": "fn() -> ",
        "!doc" : "function EndOfTheWeek(dt: double): double; Отримати дату кінця тижня від вказаної",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateendoftheweek.html"
    },
    "mGetRoleIDByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetRoleIDByName(sName: string): integer; Отримати ідентифікатор групи прав за її назвою",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmgetroleidbyname.html"
    },
    "mGetUsersListByParams": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUsersListByParams(sParams: string): string; Отримати список користувачів за набором параметрів",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserslistbyparams.html"
    },
    "mGetUsersListByState": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUsersListByState(iState: integer): string; Отримання списку користувачів за їх статусом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserslistbystate.html"
    },
    "mHaltMyChatClient": {
        "!type": "fn() -> ",
        "!doc" : "procedure mHaltMyChatClient(iUIN: integer); Відключити від сервера будь-якого онлайн-користувача й примусово завершити роботу його програми",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmhaltmychatclient.html"
    },
   "mExtractUserPhoto": {
        "!type": "fn() -> ",
        "!doc" : "function mExtractUserPhoto(iUIN: integer; sPath, sFileName: string): integer; Експорт фотографії користувача MyChat у файл на диск. Фото записується у форматі JPG",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmextractuserphoto.html"
    },
   "mIntegrationTelegramAddUser": {
        "!type": "fn() -> ",
        "!doc" : "function mIntegrationTelegramAddUser(sID, sFirstName, sLastName, sNickName: string): integer; Додати користувача Telegram в MyChat Server для майбутньої прив'язки до користувача MyChat (за UIN)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctelegramadduser.html"
    },
   "mIntegrationTelegramGetUserIDByUIN": {
        "!type": "fn() -> ",
        "!doc" : "function mIntegrationTelegramGetUserIDByUIN(iUIN: integer): string; Отримати Telegram ID користувача за його MyChat UIN",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctelegramgetuseridbyuin.html"
    },
   "mIntegrationTelegramSendMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mIntegrationTelegramSendMessage(sTelegramID, sText: string): string; Відправити текстове повідомлення боту Telegram з MyChat",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctelegramsendmessage.html"
    },
   "TextWithCRLFToJSON": {
        "!type": "fn() -> ",
        "!doc" : "function TextWithCRLFToJSON(sText: string): string; Перетворити багаторядковий текст у JSON об'єкт з парами ключ-значення, рядок за рядком",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringstextwithcrlftojson.html"
    },
   "mGetServerExternalAddress": {
        "!type": "fn() -> ",
        "!doc" : "function mGetServerExternalAddress(iType: integer): string; Отримати повну зовнішню адресу для різних сервісів MyChat Server",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremgetserverexternaladdress.html"
    },
   "mIntegrationTelegramGetMyChatUINByTelegramID": {
        "!type": "fn() -> ",
        "!doc" : "function mIntegrationTelegramGetMyChatUINByTelegramID(sID: string): integer; Получить UIN зарегистрированного пользователя MyChat по его Telegram ID",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctelegramgetmychatuinbytelegramid.html"
    },
   "mGetServerTechInfoInt": {
        "!type": "fn() -> ",
        "!doc" : "function mGetServerTechInfoInt(iID: integer): integer; Отримати внутрішні технічні дані про сервер MyChat",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremgetservertechinfoint.html"
    },
   "mSetUserAttribute": {
        "!type": "fn() -> ",
        "!doc" : "function mSetUserAttribute(iUIN: integer; sAttributeName, sValue: string): integer; Модифікація даних профилю користувача",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmsetuserattribute.html"
    },
   "mLogScriptToDisk": {
        "!type": "fn() -> ",
        "!doc" : "procedure mLogScriptToDisk(sMsg: string); Записати текст у системний протокол роботи скриптів на диск",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdebuglogscripttodisk.html"
    },
   "mSendConfMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mSendConfMessage(iUID, iUINFrom: integer; sMsg: string; iMsgType: integer): integer; Відправити повідомлення в текстову конференцію",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmsendconfmessage.html"
    },
   "mSendBroadcast": {
        "!type": "fn() -> ",
        "!doc" : "function mSendBroadcast(sMsg, sUINsList: string; dtActualTo: double; iStyle: integer): integer; Відправити оповіщення",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmsendbroadcast.html"
    },
   "mGetCIDAttribute": {
        "!type": "fn() -> ",
        "!doc" : "function mGetCIDAttribute(iCID: integer; sAttributeName: string): string; Отримати інформацію про підключення користувача",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetcidattribute.html"
    },
   "mGetConfUIDByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfUIDByName(sConfName: string): integer; Отримати ідентифікатор конференції за її назвою",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconfuidbyname.html"
    },
   "mIsConfExists": {
        "!type": "fn() -> ",
        "!doc" : "function mIsConfExists(iUID: integer): boolean; Чи існує вказана конференція?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmisconfexists.html"
    },
   "mClearConfWindow": {
        "!type": "fn() -> ",
        "!doc" : "function mClearConfWindow(iUID: integer); Очистити текст у конференції всім онлайн-користувачам",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmclearconfwindow.html"
    },
   "mGetUsersListInGroupByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUsersListInGroupByName(sGroupName: string): string; Отримати список користувачів групи",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmgetuserslistingroupbyname.html"
    },
   "mGetUsersListInGroupsByNames": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUsersListInGroupsByNames(sGroupNames: string): string; Отримати список користувачів із декількох груп",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmgetuserslistingroupsbynames.html"
    },
   "UTCToLocalTime": {
        "!type": "fn() -> ",
        "!doc" : "function UTCToLocalTime(dt: double): double; Перетворити UTC час у локальний",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateutctolocaltime.html"
    },
   "LocalTimeToUTC": {
        "!type": "fn() -> ",
        "!doc" : "function LocalTimeToUTC(dt: double): double; Перетворити локальний час у UTC",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatelocaltimetoutc.html"
    },
   "mCreateUsersGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mCreateUsersGroup(sGroupName: string): integer; Створити нову групу користувачів",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmcreateusersgroup.html"
    },
   "mDeleteUsersGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteUsersGroup(sGroupName: string): integer; Видалити групу користувачів",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmdeleteusersgroup.html"
    },
   "mIsUsersGroupExists": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUsersGroupExists(sGroupName: string): boolean; Чи існує вказана група користувачів?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmisusersgroupexists.html"
    },
   "mIsUserInGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUserInGroup(iUIN: integer; sGroupName: string): boolean; Чи є користувач членом вказаної групи?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmisuseringroup.html"
    },
   "mAddUserToGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mAddUserToGroup(iUIN: integer; sGroupName: string): integer; Додати користувача у вказану групу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmaddusertogroup.html"
    },
   "mRemoveUserFromGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mRemoveUserFromGroup(iUIN: integer; sGroupName: string): integer; Видалити користувача з групи",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmremoveuserfromgroup.html"
    },
   "mGetUserGroupsListAsJSON": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserGroupsListAsJSON(iUIN: integer): string; Отримати список груп, у яких знаходиться користувач",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmgetusergroupslistasjson.html"
    },
   "mIsUserInGroups": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUserInGroups(iUIN: integer): boolean; Чи є користувач членом хоча б однієї з груп?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmisuseringroups.html"
    },
   "mRenameUsersGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mRenameUsersGroup(sOldGroupName, sNewGroupName: string): integer; Перейменувати групу, у якій є користувачі",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmrenameusersgroup.html"
    },
   "JSONArrayLength": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayLength(sJSON: string): integer; Отримати кількість елементів масива у форматі JSON",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraylength.html"
    },
   "JSONArrayGetString": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetString(sJSON: string; iIdx: integer; var sValue: string): integer; Отримати вказаний текстовий елемент з JSON масива за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetstring.html"
    },
   "JSONArrayGetInteger": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetInteger(sJSON: string; iIdx: integer; var iValue: integer): integer; Отримати ціле число з JSON масива за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetinteger.html"
    },
   "JSONArrayGetBoolean": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetBoolean(sJSON: string; iIdx: integer; var bValue: boolean): integer; Отримати логічне значення елемента з JSON масива за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetboolean.html"
    },
   "JSONArrayGetDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetDateTime(sJSON: string; iIdx: integer; var dtValue: double): integer; Отримати значення дати й часу з JSON масива за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetdatetime.html"
    },
   "JSONArraySetString": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetString(var sJSON: string; iIdx: integer; sValue: string): integer; Змінити вказаний текстовий елемент у JSON масиві за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetstring.html"
    },
   "JSONArraySetInteger": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetInteger(var sJSON: string; iIdx, iValue: integer): integer; Змінити вказаний числовий елемент у JSON масиві за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetinteger.html"
    },
   "JSONArraySetBoolean": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetBoolean(var sJSON: string; iIdx: integer; bValue: boolean): integer; Змінити вказаний булевий елемент у JSON масиві за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetboolean.html"
    },
   "JSONArraySetDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetDateTime(var sJSON: string; iIdx: integer; dtValue: double): integer; Змінити дату й час вказаного елемента у JSON масиві за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetdatetime.html"
    },
   "StrToHex": {
        "!type": "fn() -> ",
        "!doc" : "function StrToHex(sData: string): string; Перетворити рядок побайтово в шістнадцятковий текстовий вид",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingstrtohex.html"
    },
   "CRC32": {
        "!type": "fn() -> ",
        "!doc" : "function CRC32(sData: string): cardinal; Отримати контрольну суму CRC32 від текстового рядка",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingcrc32.html"
    },
   "MD5": {
        "!type": "fn() -> ",
        "!doc" : "function MD5(sData: string): string; Отримати хеш-код MD5 від текстового рядка",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingmd5.html"
    },
   "HMAC_MD5": {
        "!type": "fn() -> ",
        "!doc" : "function HMAC_MD5(sData, sKey: string): string; Отримати хеш-код рядка на основі ключа, використовуючи метод HMAC та алгоритм хешування MD5",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodinghmacmd5.html"
    },
   "SHA1": {
        "!type": "fn() -> ",
        "!doc" : "function SHA1(sData: string): string; Отримати хеш-код SHA1 від текстового рядка",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingsha1.html"
    },
   "HMAC_SHA1": {
        "!type": "fn() -> ",
        "!doc" : "function HMAC_SHA1(sData, sKey: string): string; Отримати хеш-код рядка на основі ключа, використовуючи метод HMAC та алгоритм хешування SHA1",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodinghmacsha1.html"
    },
   "EncodeBase64": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeBase64(sData: string): string; Перетворити текстовий рядок у base64-вид (за допомогою тільки 64 символів ASCII)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingencodebase64.html"
    },
   "DecodeBase64": {
        "!type": "fn() -> ",
        "!doc" : "function DecodeBase64(sData: string): string; Перетворити текстовий рядок з base64-представлення у звичайний текст",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingdecodebase64.html"
    },
   "EncodeURL": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeURL(sURL: string): string; Закодувати рядок у URL-формат",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingencodeurl.html"
    },
   "DecodeURL": {
        "!type": "fn() -> ",
        "!doc" : "function DecodeURL(sURL: string): string; Розкодувати рядок з URL-формату в звичайний текст",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingdecodeurl.html"
    },
   "EncodeUU": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeUU(sData: string): string; Закодувати рядок в UU-формат",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingencodeuu.html"
    },
   "DecodeUU": {
        "!type": "fn() -> ",
        "!doc" : "function DecodeUU(sData: string): string; Розкодувати рядок з UU-формату в звичайний текст",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingdecodeuu.html"
    },
   "mClearConsole": {
        "!type": "fn() -> ",
        "!doc" : "procedure mClearConsole; Очистити текстову консоль виконання скриптів",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmclearconsole.html"
    },
   "mHTTPSendGetMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mHTTPSendGetMessage(sURL, sHeaders: string; iTimeOut: integer): string; Виконати HTTP GET запит",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncnetworkmhttpsendgetmessage.html"
    },
   "StrToInt64": {
        "!type": "fn() -> ",
        "!doc" : "function StrToInt64(sSt: string): int64; Перетворити текстовий рядок у ціле 64-розрядне число зі знаком",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtoint64.html"
    },
   "StrToInt64Def": {
        "!type": "fn() -> ",
        "!doc" : "function StrToInt64Def(st: string; iDefaultValue: int64): int64; Перетворити текстовий рядок у ціле 64-розрядне число зі знаком, враховуючи стандартне значення",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtoint64def.html"
    },
   "GeoIPGetFullInfoAsJSON": {
        "!type": "fn() -> ",
        "!doc" : "function GeoIPGetFullInfoAsJSON(sIP: string): string; Отримати повну інформацію про IP адресу користувача у вигляді JSON об'єкта",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgeoipgetfullinfoasjson.html"
    },
   "GeoIPGetQuickInfo": {
        "!type": "fn() -> ",
        "!doc" : "function GeoIPGetQuickInfo(sIP: string): string; Отримати рядок із країною та містом користувача за його IP адресою",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgeoipgetquickinfo.html"
    },
   "mSetUserRoleID": {
        "!type": "fn() -> ",
        "!doc" : "function mSetUserRoleID(iUIN, iRole: integer): integer; Змінити групу прав користувача",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmsetuserroleid.html"
    },
   "mAddUserToCommonContacts": {
        "!type": "fn() -> ",
        "!doc" : "function mAddUserToCommonContacts(iUIN, iGroupID: integer): integer; Додати користувача до загального деревовидного списку контактів",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmaddusertocommoncontacts.html"
    },
   "FileSize": {
        "!type": "fn() -> ",
        "!doc" : "function FileSize(sFileName:string): int64; Отримати розмір файлу на диску в байтах",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesfilesize.html"
    },
   "IntToKbyte": {
        "!type": "fn() -> ",
        "!doc" : "function IntToKbyte(iValue: int64): string; Скорочений розмір файлу в текстовому вигляді (в байтах, кілобайтах, мегабайтах чи гігабайтах)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesinttokbyte.html"
    },
    "mMakeBackupServerDataBase": {
        "!type": "fn() -> ",
        "!doc" : "function mMakeBackupServerDataBase(sFileNameWithPath: string): string; Створити повну резервну копію баз даних сервера в ZIP",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremmakebackupserverdatabase.html"
    },
    "ExtractFilePath": {
        "!type": "fn() -> ",
        "!doc" : "function ExtractFilePath(sFileName:string): string; Отримати шлях до файлу з текстового рядка",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesextractfilepath.html"
    },
    "ExtractFileName": {
        "!type": "fn() -> ",
        "!doc" : "function ExtractFileName(sFileName:string): string; Отримати ім'я файлу з текстового рядка",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesextractfilename.html"
    },
    "ExtractFileExt": {
        "!type": "fn() -> ",
        "!doc" : "function ExtractFileExt(sFileName:string): string; Отримати розширення файлу з текстового рядка",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesextractfileext.html"
    },
    "IntToHex": {
        "!type": "fn() -> ",
        "!doc" : "function IntToHex(iValue: int64; iDigits: byte): string; Перетворити ціле число в шістнадцятиричне у вигляді рядка",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversioninttohex.html"
    },
    "HexToInt": {
        "!type": "fn() -> ",
        "!doc" : "function HexToInt(sValue: string): cardinal; Перетворити шістнадцятиричне число у вигляді рядка у ціле, десяткове",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionhextoint.html"
    },
    "mAddUserToWebSupportGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mAddUserToWebSupportGroup(iUIN, iID: integer): integer; Додати користувача в групу операторів web-підтримки на сайт",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmaddusertowebsupportgroup.html"
    },
    "mCreateWebSupportGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mCreateWebSupportGroup(sName: string): integer; Створити нову групу WEB-підтримки операторів для сайту",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmcreatewebsupportgroup.html"
    },
    "mDeleteUserFromWebSupport": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteUserFromWebSupport(iUIN: integer): integer; Видалити користувача з групи WEB-підтримки операторів для сайту",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmdeleteuserfromwebsupport.html"
    },
    "mDeleteWebSupportGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteWebSupportGroup(iID: integer): integer; Видалити групу WEB-підтримки операторів для сайту",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmdeletewebsupportgroup.html"
    },
    "mGetUserWebSupportGroupID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserWebSupportGroupID(iUIN: integer): integer; Отримати ідентифікатор групи WEB-підтримки для вказаного користувача",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmgetuserwebsupportgroupid.html"
    },
    "mGetWebSupportGroupIDByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetWebSupportGroupIDByName(sName: string): integer; Отримати числовий ідентифікатор групи WEB-підтримки за назвою",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmgetwebsupportgroupidbyname.html"
    },
    "mGetWebSupportGroupNameByID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetWebSupportGroupNameByID(iID: integer): string; Отримати назву групи операторів WEB-підтримки за її числовим ідентифікатором",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmgetwebsupportgroupnamebyid.html"
    },
    "mGetWebSupportGroupUsers": {
        "!type": "fn() -> ",
        "!doc" : "function mGetWebSupportGroupUsers(iID: integer): string; Отримати список UIN-ів користувачів для вказаної групи операторів WEB-підтримки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmgetwebsupportgroupusers.html"
    },
    "mRenameWebSupportGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mRenameWebSupportGroup(iID: integer; sNewName: string): integer; Перейменувати існуючу групу WEB-підтримки операторів для сайту",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmrenamewebsupportgroup.html"
    },
    "mWebSupportGroupIDExists": {
        "!type": "fn() -> ",
        "!doc" : "function mWebSupportGroupIDExists(iID: integer): boolean; Чи існує вказаний числовий ідентифікатор групи WEB-підтримки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmwebsupportgroupidexists.html"
    },
    "mMoveUserToDepartment": {
        "!type": "fn() -> ",
        "!doc" : "function mMoveUserToDepartment(iUIN, iGroupID: integer): integer; Перенести користувача з однієї групи загального деревовидного списку контактів до іншої",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmmoveusertodepartment.html"
    },
    "mCommonContactsRebuild": {
        "!type": "fn() -> ",
        "!doc" : "procedure mCommonContactsRebuild; Перезібрати кеш загального списку контактів та негайно розіслати його всім онлайн-користувачам",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmcommoncontactsrebuild.html"
    },
    "mCloseAllDialogs": {
        "!type": "fn() -> ",
        "!doc" : "procedure mCloseAllDialogs(bAll: boolean); Закрити всі приватні діалоги для користувачів сервера",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdialogsmclosealldialogs.html"
    },
    "mKillClient": {
        "!type": "fn() -> ",
        "!doc" : "function mKillClient(iUIN: integer): integer; Відключити від сервера користувача зі вказаним обліковим записом (disconnect)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmkillclient.html"
    },
    "MoveFile": {
        "!type": "fn() -> ",
        "!doc" : "function MoveFile(const sFileFrom, sFileTo: string; const bRewrite: boolean): integer; Перенести файл із однієї папки в іншу з видаленням оригіналу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesmovefile.html"
    },
    "GetDirectoriesAndFiles": {
        "!type": "fn() -> ",
        "!doc" : "function GetDirectoriesAndFiles(sPath, sFilesMask: string; bRecursive, bFolders, bFiles: boolean): string; Отримати список папок і файлів у вказаному каталозі",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesgetdirectoriesandfiles.html"
    },
    "DeleteFolder": {
        "!type": "fn() -> ",
        "!doc" : "function DeleteFolder(const sFolderName:string; bRecursive: boolean): integer; Видалити папку з файлами",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesdeletefolder.html"
    },
    "CreateFolder": {
        "!type": "fn() -> ",
        "!doc" : "function CreateFolder(const sFolderName: string): integer; Створити папку разом з усіма вкладеними підпапками",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilescreatefolder.html"
    },
    "CopyFile": {
        "!type": "fn() -> ",
        "!doc" : "function CopyFile(const sFileFrom, sFileTo:string; const bRewrite: boolean): integer; Скопіювати файл із однієї папки в іншу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilescopyfile.html"
    },
    "FolderExists": {
        "!type": "fn() -> ",
        "!doc" : "function FolderExists(const sFolderName:string): boolean; Чи існує вказана папка?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesfolderexists.html"
    },
    "mGetConfTopic": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfTopic(iUID: integer): string; Отримати текст теми текстової конференції за її числовим ідентифікатором (UID)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconftopic.html"
    },
    "mGetConfPassword": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfPassword(iUID: integer): string; Отримати пароль текстової конференції за її числовим ідентифікатором (UID)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconfpassword.html"
    },
    "LoadLineFromFile": {
        "!type": "fn() -> ",
        "!doc" : "function LoadLineFromFile(sFileNameWithPath: string; iLineNumber: integer; iEncodingType: integer; var sText: string): integer; Отримати вказаний рядок із текстового файлу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilesloadlinefromfile.html"
    },
    "PosEx": {
        "!type": "fn() -> ",
        "!doc" : "function PosEx(const sSubSt, sOriginal: string; iOffset: cardinal): integer; Пошук підрядка в рядку зі зміщенням",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsposex.html"
    },
    "SaveTextToFile": {
        "!type": "fn() -> ",
        "!doc" : "function SaveTextToFile(sFileName, sText: string; iEncodingType: integer): int64; Зберегти текст у файл у вказаному кодуванні",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilessavetexttofile.html"
    },
    "GetTextFileLinesCount": {
        "!type": "fn() -> ",
        "!doc" : "function GetTextFileLinesCount(sFileNameWithPath: string; iEncodingType: integer): int64; Отримати кількість рядків вказаного текстового файлу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilesgettextfilelinescount.html"
    },
    "mPersonalContactsIsUserExists": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsIsUserExists(iUINOwner, iUIN: integer): boolean; З'ясувати, чи є вказаний користувач у особистому списку контактів іншої людини",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsisuserexists.html"
    },
    "mPersonalContactsIsGroupExists": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsIsGroupExists(iUINOwner: integer; sGroupName: string): boolean; З'ясувати, чи є група з такою назвою в особистому списку контактів вказаної людини",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsisgroupexists.html"
    },
    "mPersonalContactsAddGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsAddGroup(iUINOwner: integer; sGroupName: string): integer; Створити нову групу в особистому списку контактів для вказаного користувача",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsaddgroup.html"
    },
    "mPersonalContactsAddUser": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsAddUser(iUINOwner, iUIN: integer; sGroupName: string): integer; Додати користувача в особистий список контактів вказаної людини",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsadduser.html"
    },
    "mPersonalContactsClear": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsClear(iUINOwner: integer): integer; Очистити особистий список контактів вказаного користувача",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsclear.html"
    },
    "mPersonalContactsDeleteUser": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsDeleteUser(iUINOwner, iUIN: integer): integer; Видалити користувача із особистого списку контактів вказаної людини",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsdeleteuser.html"
    },
    "mPersonalContactsIsEmpty": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsIsEmpty(iUINOwner: integer): boolean; З'ясувати, чи є у користувача в особистому списку контактів хоча б один запис",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsisempty.html"
    },
    "mPersonalContactsRefresh": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsRefresh(iUINOwner: integer): integer; Оновити список особистих контактів у користувача в клієнтських програмах",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsrefresh.html"
    },
    "AnsiLowerCase": {
        "!type": "fn() -> ",
        "!doc" : "function AnsiLowerCase(sSt: string): string; Перетворити всі символи в нижній регістр",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsansilowercase.html"
    },
    "AnsiUpperCase": {
        "!type": "fn() -> ",
        "!doc" : "function AnsiUpperCase(sSt: string): string; Перевести всі символи рядка у ВЕЛИКІ БУКВИ верхнього регістру",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsansiuppercase.html"
    },
    "JSONValid": {
        "!type": "fn() -> ",
        "!doc" : "function JSONValid(const sJSON: string): boolean; Перевірити правильність синтаксису JSON об'єкту за текстовим рядком",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonvalid.html"
    },
    "JSONSetFloat": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetFloat(var sJSON: string; sKey: string; iValue: double): integer; Створити чи змінити дробове значення ключа в JSON об'єкті",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetfloat.html"
    },
    "JSONGetFloat": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetFloat(sJSON, sKey: string; var iValue: double): integer; Отримати дробове знакове значення ключа із JSON об'єкту (дійсне число)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetfloat.html"
    },
    "JSONKeyExists": {
        "!type": "fn() -> ",
        "!doc" : "function JSONKeyExists(const sJSON, sKey: string): boolean; Перевірити наявність ключа із заданим іменем у JSON об'єкті",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonkeyexists.html"
    },
    "NoDate": {
        "!type": "fn() -> ",
        "!doc" : "function NoDate: double; Отримати значення 'немає дати та часу'",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimenodate.html"
    },
    "StrMyChatToDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function StrMyChatToDateTime(const sDate: string): double; Перетворити текстовий рядок MyChat-формату (dd.mm.yyyy.hh.nn.ss) в число зі плаваючою точкою формату double",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrmychattodatetime.html"
    },
    "DateTimeToMyChatStr": {
        "!type": "fn() -> ",
        "!doc" : "function DateTimeToMyChatStr(const dt: double): string; Перетворити значення дати/часу (double) в текстовий рядок MyChat-формату, із роздільником у вигляді точок: 'день.місяць.рік.години.хвилини.секунди'",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversiondatetimetomychatstr.html"
    },
    "JSONArraySetLength": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetLength(var sJSON: string; iLength: integer): integer; Створити JSON масив вказаного розміру та заповнити його нулями",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetlength.html"
    },
    "JSONArrayGetDouble": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetDouble(sJSON: string; iIdx: integer; var iValue: double): integer; Отримати дробове число із JSON масиву за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetdouble.html"
    },
    "JSONArraySetDouble": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetDouble(var sJSON: string; iIdx: integer; iValue: double): integer; Змінити вказаний дробовий числовий елемент у JSON масиві за індексом",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetdouble.html"
    },
    "mClearScriptLog": {
        "!type": "fn() -> ",
        "!doc" : "procedure mClearScriptLog; Очистити консоль текстового редактора скриптів у адмінці",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdebugmclearscriptlog.html"
    },
    "mSetAdvOptions": {
        "!type": "fn() -> ",
        "!doc" : "function mSetAdvOptions(bEnable: boolean; sAdvLink: string; iAdvHeight, iAdvQuantity: integer): integer; Змінити налаштування показу рекламного HTML-банеру в клієнтських програмах",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncbrandingmsetadvoptions.html"
    },
    "mGetAdvOptions": {
        "!type": "fn() -> ",
        "!doc" : "procedure mGetAdvOptions(var bEnable: boolean; var sAdvLink: string; var iAdvHeight, iAdvQuantity: integer); Отримати налаштування рекламного HTML-банеру, вбудованного в MyChat Client",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncbrandingmgetadvoptions.html"
    },
    "mRemovePrivates": {
        "!type": "fn() -> ",
        "!doc" : "procedure mRemovePrivates; Повністю видалити всі приватні розмови із серверної бази даних і на всіх пристроях користувачів (онлайн і офлайн)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunchistoryremoveprivates.html"
    },
   "mClosePrivateDialog": {
        "!type": "fn() -> ",
        "!doc" : "function mClosePrivateDialog(const iUINOwner, iUINWith: integer): integer; Закрити приватний діалог із іншою людиною у вказаного користувача",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdialogsmcloseprivatedialog.html"
		    },
  "mExtractExternalWebLinkFromMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mExtractExternalWebLinkFromMessage(const sMsg: string; const iMsgType: integer): string; Отримати зовнішнє http(s) посилання на файл або зображення із повідомлення",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmextractexternalweblinkfrommessage.html"
    },
  "mNodeCommand": {
        "!type": "fn() -> ",
        "!doc" : "procedure mNodeCommand(const sCmd, sData: string); Виконати внутрішню сервісну команду вбудованим WEB-сервером NodeJS",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremnodecommand.html"
    },
  "GetArrayLength": {
        "!type": "fn() -> ",
        "!doc" : "function GetArrayLength(Arr: <dynamic array>): integer; Отримати розмір динамічного одновимірного масиву",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicegetarraylength.html"
    },
  "SetArrayLength": {
        "!type": "fn() -> ",
        "!doc" : "procedure SetArrayLength(var Arr: <dynamic array>; iNewLength: integer); Вказати розмір динамічного одновимірного масиву",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicesetarraylength.html"
    },
  "mGetConfUsersList": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfUsersList(const iUID: integer): string; Отримати список користувачів зазначеної текстової конференції",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconfuserslist.html"
    },
  "GetCIDSByUINAndClientType": {
        "!type": "fn() -> ",
        "!doc" : "function GetCIDSByUINAndClientType(const iUIN: integer; const sClientType: string): integer; Отримати список всіх підключень (Connection ID) онлайн-додатків користувача за його UIN і типу додатка",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetcidsbyuinandclienttype.html"
    },
  "mAddNewBBSMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mAddNewBBSMessage(const sMsg:string; const dtExpire: double; const bStick: boolean): integer; Додати нове повідомлення на дошку оголошень",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdialogsmaddnewbbsmessage.html"
    },
  "mGetBirthdayUsers": {
        "!type": "fn() -> ",
        "!doc" : "function mGetBirthdayUsers(dt: double): string; Отримати список користувачів, у яких день народження збігається із зазначеною датою",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetbirthdayusers.html"
    },
  "StringCharsCount": {
        "!type": "fn() -> ",
        "!doc" : "function StringCharsCount(const s: string; ch: char): integer; Отримати кількість входжень зазначеного символу в заданому рядку",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsstringcharscount.html"
    },
  "DateTimeToISOStr": {
        "!type": "fn() -> ",
        "!doc" : "function DateTimeToISOStr(const dt: double): string; Перетворити значення дати/часу (double) в текстовий рядок формату ISO",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversiondatetimetoisostr.html"
    },
  "ISOStrToDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function ISOStrToDateTime(const s: string): double; Перетворити текстовий рядок з датою і часом в ISO-форматі в double-значення",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionisostrtodatetime.html"
    },
  "GetTickCount": {
        "!type": "fn() -> ",
        "!doc" : "function GetTickCount: string; Отримати час аптайму хост-системи Windows в мілісекундах",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicegettickcount.html"
    },
  "Sqr": {
        "!type": "fn() -> ",
        "!doc" : "function Sqr(x: extended): extended; Обчислити квадрат числа",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathsqr.html"
    },
  "Sqrt": {
        "!type": "fn() -> ",
        "!doc" : "function Sqrt(x: extended): extended; Обчислити квадратний корінь від цілого або цілого позитивного числа",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathsqrt.html"
    },
  "Frac": {
        "!type": "fn() -> ",
        "!doc" : "function Frac(x: extended): integer; Отримати дробову частину числа з плаваючою точкою (після коми)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathfrac.html"
    }
}